<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xpil"
	xmlns:xpil="http://www.together.at/2006/XPIL1.0"
	xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
	<xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
	<xsl:param name="username" select="u" />
	<xsl:param name="from_element" select="11" />
	<xsl:param name="to_element" select="20" />
	<xsl:param name="sortCriterion" select="20" />
	<xsl:param name="sortAsc" select="true" />
	<xsl:param name="total_number" select="200" />
	<xsl:param name="sharkEdition" select="e" />
	<xsl:param name="navig_url" select="GroupActionsHandlerPO.po" />
	<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
		<html>
			<head>
				<title>Group Actions</title>
				<script type="text/javascript">
					function submitForm(formId, actionAttr) { var
					formTag = document.getElementById(formId);
					formTag.action=actionAttr; formTag.submit(); }
					function submitFormEvent(formId, actionAttr,event) {
					var formTag = document.getElementById(formId);
					formTag.action=actionAttr;
					formTag.event.value=event; formTag.submit(); }
				</script>
			</head>
			<body class="body_home">

				<form id="mainForm" name="mainForm" method="post"
					action="Blank.xhtml">
					<input type="hidden" name="event" />

					<table class="title_style" width="85%" border="0"
						align="center" cellpadding="0" cellspacing="0">
						<tr>
							<td colspan="5">
                            <table width="100%">
                           <tr>
                             <td width="2%" />
                  
                             <td class="logo_image_one"/>
                 
                             <td  class="logo_image_two" />
                     
                               <td class="logo_image_three"/>
                         <td width="2%" />
                    </tr>
                    </table>
                   </td>
                  </tr>
                  
						<tr>
							<td width="2%" />
							
							<td colspan="3">
								<table class="title_style" width="100%"
									border="0" align="center" cellpadding="0" cellspacing="0">
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15">
										</td>
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>

                                 <td class="title_style" height="28" colspan="2">
                                    <img src="media/blank.gif" alt="" width="1"/>
                                 </td>
									</tr>
								</table>
							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td class="body_upper" colspan="5"
								height="4" />
						</tr>
						<tr>
                         <td align="left" class="body_home" width="2%"/>
				         <td align="left" class="body_home" height="15">
					        Group Actions
				        </td>
				        <td align="center" class="body_home" height="15" width="5%">
                          
                        </td>
				        <td align="right" class="body_home" height="15">
				          <b>User:</b> <xsl:value-of select="$username" />
				        </td>
                        <td align="left" class="body_home" width="2%"/>
					   </tr>
						<tr>
							<td class="body_lower" colspan="5"
								height="1" />
						</tr>
						<tr>
                         <td align="left" class="body_home" width="2%"/>
				         <td align="left" class="body_home" height="15"/>
				         <td align="center" class="body_home" height="15" width="5%"/>
				         <td align="right" class="body_home" height="15"/>
                         <td align="left" class="body_home" width="2%"/>
                       </tr>
                       <tr>
                         
                       </tr>
						<tr height="50%" />
						<tr height="35">
							<td width="2%" />
							<td align="left" colspan="2">
							<xsl:variable name="var">
							<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttribute/@Name"/>
							</xsl:variable>
							<xsl:if test="$var=''">
							 <b>CREATE NEW GROUP</b>
							</xsl:if>
							<xsl:if test="$var!=''">
							 <b>UPDATE GROUP DATA</b>
							</xsl:if>
								
							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td colspan="5">
								<table width="100%" hight="100%"
									align="center" border="0" cellpadding="0" cellspacing="0"
									class="body_main">

									<xsl:for-each select="//.">
										<xsl:choose>
											<xsl:when
												test="name()='xpil:InstanceExtendedAttribute'">
												<xsl:variable name="var1">
							                       <xsl:value-of select="@Name"/>
							                       </xsl:variable>
												<tr>
													<td>
														<b>Name:</b>
													</td>
													<td>
													<xsl:if test="$var1!=''">
													   <xsl:value-of select="@Name"/>
													</xsl:if>
													<xsl:if test="$var1=''">
													 <input type="text" name="text1">
													 </input> 
													 </xsl:if>
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Description:
														</b>
													</td>
													<td>
														<input type="text" name="text2" size="100" value="{@Value}">
													</input>
													</td>
												</tr>
												
												
											</xsl:when>
										</xsl:choose>
										
									</xsl:for-each>
								</table>
							</td>
						</tr>


						<tr height="15">
							<td width="2%" colspan="4" />
						</tr>
						<tr>
						<xsl:variable name="okUrl">
								javascript:submitFormEvent('mainForm','GroupActionsHandlerPO.po?from=
								<xsl:value-of select='$from_element' />
								&#38;sortCriterion=
								<xsl:value-of select="$sortCriterion" />
								&#38;sortAsc=
								<xsl:value-of select="$sortAsc" />
								&#38;old_name=
								<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttribute/@Name" />
								','ok')
							</xsl:variable>
							<xsl:variable name="closeUrl">
								javascript:submitFormEvent('mainForm','GroupActionsHandlerPO.po?from=
								<xsl:value-of select='$from_element' />
								&#38;sortCriterion=
								<xsl:value-of select="$sortCriterion" />
								&#38;sortAsc=
								<xsl:value-of select="$sortAsc" />
								','close')
							</xsl:variable>
							<td width="2%"/>
							<td colspan="3" class="title_style"
								height="30" align="right">
								<table align="right">
								<tr>
								<td>
								<a href="{$okUrl}"
									class="link_text">
									<img src="media/save_n.gif"
										border="0" alt="Save" />
								</a>
								</td>
								<td>
								<a href="{$closeUrl}"
									class="link_text">
									<img src="media/cancel_n.gif"
										border="0" alt="Cancel" />
								</a>
								</td>
								</tr>
								</table>
							</td>
							<td width="2%" />
						</tr>

						<tr>
							<td align="left" class="body_bottom"
								width="2%" />
                         <td align="left" colspan="2" class="body_bottom"
                               height="15">
								&#169; 2006 Together Teaml&#246;sungen
							</td>
							<td class="body_bottom" height="15" colspan="2"
								align="center">
                        <xsl:if test="$auth_type!='BASIC' and $auth_type!='NTLM'"> 
                           <xsl:variable name="loUrl">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po','logout')</xsl:variable>
                           <a href="{$loUrl}">Log-out</a>
                        </xsl:if>
							</td>
							<!-- td align="left" class="body_bottom"
								width="2%" /-->
						</tr>
					</table>
				</form>
			</body>
		</html>
	</xsl:template>


</xsl:stylesheet>
