<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xpil"
	xmlns:xpil="http://www.together.at/2006/XPIL1.0"
	xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
	<xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
	<xsl:param name="username" select="u" />
	<xsl:param name="from_element" select="11" />
	<xsl:param name="to_element" select="20" />
	<xsl:param name="sortCriterion" select="20" />
	<xsl:param name="sortAsc" select="true" />
	<xsl:param name="total_number" select="200" />
	<xsl:param name="fromPage" select="p" />
	<xsl:param name="readonly" select="false" />
	<xsl:param name="edmWebDAVAllowed" select="e" />
	<xsl:param name="sessionKey" select="e" />
	<xsl:param name="selected_user" select="e" />
	<xsl:param name="sharkEdition" select="e" />
	<xsl:param name="navig_url" select="ProcessDetailHandlerPO.po" />
	<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		href="navigation.xsl" />
	<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
		<html>
			<head>
				<title>Process Details</title>
				<script type="text/javascript">
					function submitForm(formId, actionAttr) { var
					formTag = document.getElementById(formId);
					formTag.action=actionAttr; formTag.submit(); }
					function submitFormEvent(formId, actionAttr,event) {
					var formTag = document.getElementById(formId);
					formTag.action=actionAttr;
					formTag.event.value=event; formTag.submit(); }
				</script>
			</head>
			<body class="body_home">

				<form id="mainForm" name="mainForm" method="post"
					action="Blank.xhtml">
					<input type="hidden" name="event" />

					<table class="title_style" width="85%" border="0"
						align="center" cellpadding="0" cellspacing="0">
						<tr>
							<td colspan="5">
                              <table width="100%">
                                <tr>
                                  <td width="2%" />
                  
                                   <td class="logo_image_one"/>
                              
                                   <td  class="logo_image_two" />
                     
                                    <td class="logo_image_three"/>
                                  <td width="2%" />
                              </tr>
                        </table>
                        </td>
                     </tr>
						<tr>
							<td width="2%" />

							<td colspan="3">
								<table class="title_style" width="100%"
									border="0" align="center" cellpadding="0" cellspacing="0">
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15">
										</td>
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>

                                 <td class="title_style" height="28" colspan="2">
                                    <img src="media/blank.gif" alt="" width="1"/>
                                 </td>
									</tr>
								</table>
							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td class="body_upper" colspan="5"
								height="4" />
						</tr>
						<tr>
                         <td align="left" class="body_home" width="2%"/>
				         <td align="left" class="body_home" height="15">
					        Process Details
				        </td>
				        <td align="center" class="body_home" height="15" width="5%">

                        </td>
				        <td align="right" class="body_home" height="15">
				          <b>User:</b> <xsl:value-of select="$username" />
				        </td>
                        <td align="left" class="body_home" width="2%"/>
					   </tr>
						<tr>
							<td class="body_lower" colspan="5"
								height="1" />
						</tr>
						<tr>
                         <td align="left" class="body_home" width="2%"/>
				         <td align="left" class="body_home" height="15"/>
				         <td align="center" class="body_home" height="15" width="5%"/>
				         <td align="right" class="body_home" height="15"/>
                         <td align="left" class="body_home" width="2%"/>
                       </tr>
                       <tr>

                       </tr>
						<tr height="50%" />
						<tr height="35">
							<td width="2%" />
							<td align="left" colspan="2">
								<b>GENERAL INFO</b>
							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td colspan="4">
								<table width="100%" hight="100%"
									align="center" border="0" cellpadding="0" cellspacing="0"
									class="body_main">

									<xsl:for-each select="//.">
										<xsl:choose>
											<xsl:when
												test="name()='xpil:PackageInstance'">
												<tr>
													<td>
														<b>XPDL Id:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Id" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															XPDL
															Version:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="@Version" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Factory
															Name:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@Id" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Factory
															State:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@State" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Definition
															Id:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/@DefinitionId" />
													</td>
												</tr>
											</xsl:when>
										</xsl:choose>
										<xsl:choose>
											<xsl:when
												test="name()='xpil:MainWorkflowProcessInstance' or name()='xpil:SubWorkflowProcessInstance'">
												<tr>
													<td>
														<b>Id:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Id" />
													</td>
												</tr>
												<tr>
													<td>
														<b>Name:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Name" />
													</td>
												</tr>
												<tr>
													<td>
														<b>State:</b>
													</td>
													<td>
														<xsl:value-of
															select="@State" />
													</td>
												</tr>
												<tr>
													<td>
														<b>Created:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Created" />
													</td>
												</tr>
												<tr>
													<td>
														<b>Finished:</b>
													</td>
													<td>
														<xsl:value-of
															select="@Finished" />
													</td>
												</tr>
												<tr>
													<td>
														<b>
															Requester
															Username:
														</b>
													</td>
													<td>
														<xsl:value-of
															select="@RequesterUsername" />
													</td>
												</tr>
											</xsl:when>
										</xsl:choose>
									</xsl:for-each>
								</table>
							</td>
						</tr>

						<tr height="35">
							<td width="2%" colspan="4" />
						</tr>
						<tr height="35">
							<td width="2%" />
							<td align="left" colspan="2">

							</td>
							<td width="2%" />
						</tr>
						<tr>
							<td colspan="4">
								<xsl:for-each select="//.">


									<xsl:if test='xpil:DataInstances'>
										<b>PROPERTIES</b>
										<!-- Variable Start -->
										<table align="center"
											width="100%" hight="100%" border="0">

											<xsl:for-each
												select="//.">

												<xsl:if
													test="name()='xpil:StringDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>

														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<xsl:choose>

															<xsl:when
																test="$readonly='false'">
																<xsl:choose>
																	<!-- LARGE SIZE -->
																	<xsl:when
																		test="xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute/@Name='RENDERING_HINT' and xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute/@Value='Size=L'">
																		<td
																			align="left" width="450">
																			<b>
																				<xsl:choose>
																					<xsl:when
																						test="$suff!=''">
																						<xsl:value-of
																							select="$suff" />
																					</xsl:when>
																					<xsl:otherwise>
																						<xsl:value-of
																							select="$i" />
																					</xsl:otherwise>
																				</xsl:choose>
																			</b>
																		</td>
																		<td
																			colspan="3" class="title_style" height="30"
																			align="left">
																			<xsl:element
																				name="textarea">
																				<xsl:attribute
																					name="name">
																					te_
																					<xsl:value-of
																						select="@Id" />
																				</xsl:attribute>
																				<xsl:attribute
																					name="rows">
																					5
																				</xsl:attribute>
																				<xsl:attribute
																					name="cols">
																					75
																				</xsl:attribute>
																				<xsl:value-of
																					select="@Id" />
																			</xsl:element>

																			<xsl:variable
																				name="updateUrl">
																				javascript:submitFormEvent('mainForm','ProcessDetailHandlerPO.po?from=
																				<xsl:value-of
																					select='$from_element' />
																				&#38;sortCriterion=
																				<xsl:value-of
																					select="$sortCriterion" />
																				&#38;sortAsc=
																				<xsl:value-of
																					select="$sortAsc" />
																				&#38;fromPage=
																				<xsl:value-of
																					select="$fromPage" />
																				&#38;readonly=
																				<xsl:value-of
																					select="$readonly" />
																				&#38;id_var=
																				<xsl:value-of
																					select="$i" />
																				&#38;id_pro=
																				<xsl:value-of
																					select="../../@Id" />
																				&#38;selected_user=<xsl:value-of select="$selected_user"/>
																				&#38;in_field=te
																				&#38;var_type=String
																				','update')
																			</xsl:variable>

																			<a
																				href="{$updateUrl}" class="link_text">
																				<img
																					src="media/edit.gif" border="0" alt="Update" />
																			</a>

																		</td>
																	</xsl:when>
																	<xsl:otherwise>
																		<td
																			align="left" width="450">
																			<b>
																				<xsl:choose>
																					<xsl:when
																						test="$suff!=''">
																						<xsl:value-of
																							select="$suff" />
																					</xsl:when>
																					<xsl:otherwise>
																						<xsl:value-of
																							select="$i" />
																					</xsl:otherwise>
																				</xsl:choose>
																			</b>
																		</td>
																		<td
																			colspan="3" class="title_style" height="30"
																			align="left">
																			<input
																				type="text" name="in1_{$i}" align="left"
																				value="{$val}" />


																			<xsl:variable
																				name="updateUrl">
																				javascript:submitFormEvent('mainForm','ProcessDetailHandlerPO.po?from=
																				<xsl:value-of
																					select='$from_element' />
																				&#38;sortCriterion=
																				<xsl:value-of
																					select="$sortCriterion" />
																				&#38;sortAsc=
																				<xsl:value-of
																					select="$sortAsc" />
																				&#38;fromPage=
																				<xsl:value-of
																					select="$fromPage" />
																				&#38;readonly=
																				<xsl:value-of
																					select="$readonly" />
																				&#38;id_var=
																				<xsl:value-of
																					select="$i" />
																				&#38;id_pro=
																				<xsl:value-of
																					select="../../@Id" />
																				&#38;selected_user=<xsl:value-of select="$selected_user"/>
																				&#38;in_field=in1
																				&#38;var_type=String
																				','update')
																			</xsl:variable>

																			<a
																				href="{$updateUrl}" class="link_text">
																				<img
																					src="media/edit.gif" border="0" alt="Update" />
																			</a>

																		</td>
																	</xsl:otherwise>
																</xsl:choose>
															</xsl:when>
															<xsl:otherwise>
																<xsl:choose>

																	<xsl:when
																		test="xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute/@Name='RENDERING_HINT' and xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute/@Value='Size=L'">
																		<td
																			align="left" width="450">
																			<b>
																				<xsl:choose>
																					<xsl:when
																						test="$suff!=''">
																						<xsl:value-of
																							select="$suff" />
																					</xsl:when>
																					<xsl:otherwise>
																						<xsl:value-of
																							select="$i" />
																					</xsl:otherwise>
																				</xsl:choose>
																			</b>
																		</td>
																		<td
																			align="left">


																			<xsl:value-of
																				select="$val" />


																		</td>
																	</xsl:when>
																	<xsl:otherwise>
																		<td
																			align="left" width="450">
																			<b>
																				<xsl:choose>
																					<xsl:when
																						test="$suff!=''">
																						<xsl:value-of
																							select="$suff" />
																					</xsl:when>
																					<xsl:otherwise>
																						<xsl:value-of
																							select="$i" />
																					</xsl:otherwise>
																				</xsl:choose>
																			</b>
																		</td>
																		<td
																			align="left">

																			<xsl:value-of
																				select="$val" />

																		</td>
																	</xsl:otherwise>
																</xsl:choose>
															</xsl:otherwise>
														</xsl:choose>


													</tr>
												</xsl:if>
												<xsl:if
													test="name()='xpil:DoubleDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="450">

															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>

														<xsl:choose>
															<xsl:when
																test="$readonly='false'">
																<td
																	colspan="3" class="title_style" height="30"
																	align="left">
																	<input
																		type="text" name="in2_{$i}" align="left"
																		value="{$val}" />

																	<xsl:variable
																		name="updateUrl">
																		javascript:submitFormEvent('mainForm','ProcessDetailHandlerPO.po?from=
																		<xsl:value-of
																			select='$from_element' />
																		&#38;sortCriterion=
																		<xsl:value-of
																			select="$sortCriterion" />
																		&#38;sortAsc=
																		<xsl:value-of
																			select="$sortAsc" />
																		&#38;fromPage=
																		<xsl:value-of
																			select="$fromPage" />
																		&#38;readonly=
																		<xsl:value-of
																			select="$readonly" />
																		&#38;id_var=
																		<xsl:value-of
																			select="$i" />
																		&#38;id_pro=
																		<xsl:value-of
																			select="../../@Id" />
																		&#38;selected_user=<xsl:value-of select="$selected_user"/>
																		&#38;in_field=in2
																		&#38;var_type=Double
																		','update')
																	</xsl:variable>

																	<a
																		href="{$updateUrl}" class="link_text">
																		<img
																			src="media/edit.gif" border="0" alt="Update" />
																	</a>

																</td>
															</xsl:when>
															<xsl:otherwise>
																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>

															</xsl:otherwise>
														</xsl:choose>

													</tr>
												</xsl:if>


												<xsl:if
													test="name()='xpil:LongDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="450">

															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>

														<xsl:choose>
															<xsl:when
																test="$readonly='false'">
																<td
																	colspan="3" class="title_style" height="30"
																	align="left">
																	<input
																		type="text" name="in3_{$i}" align="left"
																		value="{$val}" />

																	<xsl:variable
																		name="updateUrl">
																		javascript:submitFormEvent('mainForm','ProcessDetailHandlerPO.po?from=
																		<xsl:value-of
																			select='$from_element' />
																		&#38;sortCriterion=
																		<xsl:value-of
																			select="$sortCriterion" />
																		&#38;sortAsc=
																		<xsl:value-of
																			select="$sortAsc" />
																		&#38;fromPage=
																		<xsl:value-of
																			select="$fromPage" />
																		&#38;readonly=
																		<xsl:value-of
																			select="$readonly" />
																		&#38;id_var=
																		<xsl:value-of
																			select="$i" />
																		&#38;id_pro=
																		<xsl:value-of
																			select="../../@Id" />
																		&#38;selected_user=<xsl:value-of select="$selected_user"/>
																		&#38;in_field=in3
																		&#38;var_type=Long
																		','update')
																	</xsl:variable>

																	<a
																		href="{$updateUrl}" class="link_text">
																		<img
																			src="media/update.gif" border="0" alt="Update" />
																	</a>

																</td>
															</xsl:when>
															<xsl:otherwise>
																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>
															</xsl:otherwise>
														</xsl:choose>

													</tr>
												</xsl:if>


												<xsl:if
													test="name()='xpil:BooleanDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="450">
															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>

														<xsl:choose>
															<xsl:when
																test="$readonly='false'">
																<td
																	colspan="3" class="title_style" height="30"
																	align="left">
																	<xsl:choose>
																		<xsl:when
																			test="$val='true'">
																			<input
																				type="radio" name="in4_{$i}" align="left"
																				value="true" checked="true" />
																			true
																			<input
																				type="radio" name="in4_{$i}" align="left"
																				value="false" />
																			false
																		</xsl:when>
																		<xsl:otherwise>
																			<input
																				type="radio" name="in4_{$i}" align="left"
																				value="true" />
																			true
																			<input
																				type="radio" name="in4_{$i}" align="left"
																				value="false" checked="true" />
																			false
																		</xsl:otherwise>
																	</xsl:choose>



																	<xsl:variable
																		name="updateUrl">
																		javascript:submitFormEvent('mainForm','ProcessDetailHandlerPO.po?from=
																		<xsl:value-of
																			select='$from_element' />
																		&#38;sortCriterion=
																		<xsl:value-of
																			select="$sortCriterion" />
																		&#38;sortAsc=
																		<xsl:value-of
																			select="$sortAsc" />
																		&#38;fromPage=
																		<xsl:value-of
																			select="$fromPage" />
																		&#38;readonly=
																		<xsl:value-of
																			select="$readonly" />
																		&#38;id_var=
																		<xsl:value-of
																			select="$i" />
																		&#38;id_pro=
																		<xsl:value-of
																			select="../../@Id" />
																		&#38;selected_user=<xsl:value-of select="$selected_user"/>
																		&#38;in_field=in4
																		&#38;var_type=Boolean
																		','update')
																	</xsl:variable>

																	<a
																		href="{$updateUrl}" class="link_text">
																		<img
																			src="media/update.gif" border="0" alt="Update" />
																	</a>

																</td>
															</xsl:when>
															<xsl:otherwise>
																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>

															</xsl:otherwise>
														</xsl:choose>

													</tr>
												</xsl:if>


												<xsl:if
													test="name()='xpil:DateDataInstance'">
													<tr>
														<xsl:variable
															name="i">
															<xsl:value-of
																select="@Id" />
														</xsl:variable>
														<xsl:variable
															name="val">
															<xsl:value-of
																select="@Value" />
														</xsl:variable>
														<xsl:variable
															name="suff">
															<xsl:value-of
																select="xpdl:DataField/@Name" />
														</xsl:variable>
														<td align="left"
															width="450">
															<b>
																<xsl:choose>
																	<xsl:when
																		test="$suff!=''">
																		<xsl:value-of
																			select="$suff" />
																	</xsl:when>
																	<xsl:otherwise>
																		<xsl:value-of
																			select="$i" />
																	</xsl:otherwise>
																</xsl:choose>
															</b>
														</td>

														<xsl:choose>
															<xsl:when
																test="$readonly='false'">
																<td
																	colspan="3" class="title_style" height="30"
																	align="left">
																	<input
																		type="text" name="in5_{$i}" align="left"
																		value="{$val}" />

																	<xsl:variable
																		name="updateUrl">
																		javascript:submitFormEvent('mainForm','ProcessDetailHandlerPO.po?from=
																		<xsl:value-of
																			select='$from_element' />
																		&#38;sortCriterion=
																		<xsl:value-of
																			select="$sortCriterion" />
																		&#38;sortAsc=
																		<xsl:value-of
																			select="$sortAsc" />
																		&#38;fromPage=
																		<xsl:value-of
																			select="$fromPage" />
																		&#38;readonly=
																		<xsl:value-of
																			select="$readonly" />
																		&#38;id_var=
																		<xsl:value-of
																			select="$i" />
																		&#38;id_pro=
																		<xsl:value-of
																			select="../../@Id" />
																		&#38;selected_user=<xsl:value-of select="$selected_user"/>
																		&#38;in_field=in5
																		&#38;var_type=Date
																		','update')
																	</xsl:variable>

																	<a
																		href="{$updateUrl}" class="link_text">
																		<img
																			src="media/update.gif" border="0" alt="Update" />
																	</a>

																</td>
															</xsl:when>
															<xsl:otherwise>
																<td
																	align="left">
																	<xsl:value-of
																		select="$val" />
																</td>

															</xsl:otherwise>
														</xsl:choose>

													</tr>
												</xsl:if>

											</xsl:for-each>

										</table>
									</xsl:if>

									<xsl:if
										test='xpil:ActivityInstances'>
										<br/>
										<table align="center"
											width="100%" hight="100%" border="0">

											<xsl:for-each
												select="//.">

												<xsl:if
													test="name()='xpil:ManualActivityInstance' or name()='xpil:ToolActivityInstance' or name()='xpil:SubFlowActivityInstance' or name()='xpil:RouteActivityInstance' or name()='xpil:BlockActivityInstance'">
													<xsl:variable
														name="state">
														<xsl:value-of
															select="@State" />
													</xsl:variable>
													<xsl:choose>
														<xsl:when
															test="$state='open.running' or $state='open.not_running.not_started'">
															<tr
																height="20" />
															<tr>
																<td>
																	<b>
																		ACTIVITY(opened):
																	</b>
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Id:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Id" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Name:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Name" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		State:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@State" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Created:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Created" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Started:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Started" />
																</td>
															</tr>
															<tr>
																<td
																	width="200" align="left">
																	<b>
																		Finished:
																	</b>
																</td>
																<td
																	align="left">
																	<xsl:value-of
																		select="@Finished" />
																</td>
															</tr>
														</xsl:when>
														<xsl:otherwise>
															<tr></tr>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:if>
											</xsl:for-each>
										</table>
									</xsl:if>
								</xsl:for-each>
								<!-- Variable End -->
							</td>
						</tr>
                        <xsl:if test="$sharkEdition!='community' and $edmWebDAVAllowed='true'">
                         <tr height="600px">
						<xsl:variable name="webDAVurl">/sharkWebClient/webdav/<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:PackageInstance/xpil:WorkflowProcessFactoryInstances/xpil:WorkflowProcessFactoryInstance/xpil:WorkflowProcessInstances/*/@Id" />?xsl=documents.xsl&#38;sessionKey=<xsl:value-of select="$sessionKey"/>&#38;resourcePath=/sharkWebClient/prof/edm&#38;itemsPerPage=25&#38;previewerURL=http://localhost:8080/tdv/Preview.po
						</xsl:variable>	
						 <td colspan="4" >
						  
			              <frameset>
				          <iframe name="tablefrm" id="tablefrm" width="100%" height="100%" frameborder="no" src="{$webDAVurl}" ></iframe>
			              </frameset>
	                    
						 </td>
						
						 </tr>
						 </xsl:if>

						<tr height="15">
							<td width="2%" colspan="4" />
						</tr>
						<tr>
							<xsl:variable name="closeUrl">
								javascript:submitFormEvent('mainForm','ProcessDetailHandlerPO.po?from=
								<xsl:value-of select='$from_element' />
								&#38;sortCriterion=
								<xsl:value-of select="$sortCriterion" />
								&#38;sortAsc=
								<xsl:value-of select="$sortAsc" />
								&#38;fromPage=
								<xsl:value-of select="$fromPage" />
								&#38;selected_user=<xsl:value-of select="$selected_user"/>
								','close')
							</xsl:variable>
							<td width="2%"/>
							<td colspan="3" class="title_style"
								height="30" align="right">
								<a href="{$closeUrl}"
									class="link_text">
									<img src="media/back_n.gif"
										border="0" alt="Back" />
								</a>
							</td>
							<td width="2%" />
						</tr>

						<tr>
                         <td align="left" class="body_bottom"
                           width="2%" />
                         <td align="left" colspan="2" class="body_bottom"
                               height="15">
                           &#169; 2006 Together Teaml&#246;sungen
                         </td>
                          <td class="body_bottom" height="15" align="right">
                           <xsl:if test="$auth_type!='BASIC' and $auth_type!='NTLM'"> 
                              <xsl:variable name="loUrl">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po','logout')</xsl:variable>
                              <a href="{$loUrl}">Log-out</a>
                           </xsl:if>
                         </td>
                          <td align="left" class="body_bottom"
                            width="2%" />
               </tr>
					</table>
				</form>
			</body>
		</html>
	</xsl:template>


</xsl:stylesheet>
