


ALTER TABLE SHKProcesses ADD CONSTRAINT SHKProcesses_Proc2 FOREIGN KEY (ProcessDefinition) REFERENCES SHKProcessDefinitions (oid) ;
ALTER TABLE SHKProcesses ADD CONSTRAINT SHKProcesses_State FOREIGN KEY (State) REFERENCES SHKProcessStates (oid) ;

ALTER TABLE SHKProcessRequesters ADD CONSTRAINT SHKProcessRequest6 FOREIGN KEY (ActivityRequester) REFERENCES SHKActivities (oid) ;
ALTER TABLE SHKProcessRequesters ADD CONSTRAINT SHKProcessRequest7 FOREIGN KEY (ResourceRequester) REFERENCES SHKResourcesTable (oid) ;

ALTER TABLE SHKActivities ADD CONSTRAINT SHKActivities_Pro9 FOREIGN KEY (Process) REFERENCES SHKProcesses (oid) ;
ALTER TABLE SHKActivities ADD CONSTRAINT SHKActivities_Th10 FOREIGN KEY (TheResource) REFERENCES SHKResourcesTable (oid) ;
ALTER TABLE SHKActivities ADD CONSTRAINT SHKActivities_St11 FOREIGN KEY (State) REFERENCES SHKActivityStates (oid) ;



ALTER TABLE SHKAssignmentsTable ADD CONSTRAINT SHKAssignmentsTa19 FOREIGN KEY (Activity) REFERENCES SHKActivities (oid) ;
ALTER TABLE SHKAssignmentsTable ADD CONSTRAINT SHKAssignmentsTa20 FOREIGN KEY (TheResource) REFERENCES SHKResourcesTable (oid) ;

ALTER TABLE SHKProcessData ADD CONSTRAINT SHKProcessData_P22 FOREIGN KEY (Process) REFERENCES SHKProcesses (oid) ;

ALTER TABLE SHKProcessDataWOB ADD CONSTRAINT SHKProcessDataWO25 FOREIGN KEY (Process) REFERENCES SHKProcesses (oid) ;

ALTER TABLE SHKProcessDataBLOBs ADD CONSTRAINT SHKProcessDataBL28 FOREIGN KEY (ProcessDataWOB) REFERENCES SHKProcessDataWOB (oid) ;

ALTER TABLE SHKActivityData ADD CONSTRAINT SHKActivityData_30 FOREIGN KEY (Activity) REFERENCES SHKActivities (oid) ;

ALTER TABLE SHKActivityDataWOB ADD CONSTRAINT SHKActivityDataW34 FOREIGN KEY (Activity) REFERENCES SHKActivities (oid) ;

ALTER TABLE SHKActivityDataBLOBs ADD CONSTRAINT SHKActivityDataB37 FOREIGN KEY (ActivityDataWOB) REFERENCES SHKActivityDataWOB (oid) ;

ALTER TABLE SHKAndJoinTable ADD CONSTRAINT SHKAndJoinTable_39 FOREIGN KEY (Process) REFERENCES SHKProcesses (oid) ;
ALTER TABLE SHKAndJoinTable ADD CONSTRAINT SHKAndJoinTable_40 FOREIGN KEY (BlockActivity) REFERENCES SHKActivities (oid) ;
ALTER TABLE SHKAndJoinTable ADD CONSTRAINT SHKAndJoinTable_41 FOREIGN KEY (Activity) REFERENCES SHKActivities (oid) ;

ALTER TABLE SHKDeadlines ADD CONSTRAINT SHKDeadlines_Pro43 FOREIGN KEY (Process) REFERENCES SHKProcesses (oid) ;
ALTER TABLE SHKDeadlines ADD CONSTRAINT SHKDeadlines_Act44 FOREIGN KEY (Activity) REFERENCES SHKActivities (oid) ;




