Create table SHKProcessHistoryInfo
(
ProcessId  VARCHAR (100)  NOT NULL     ,
ProcessName  VARCHAR (254)     ,
ProcessFactoryName  VARCHAR (200)  NOT NULL     ,
ProcessFactoryVersion  VARCHAR (20)  NOT NULL     ,
ProcessDefinitionId  VARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR (90)     ,
PackageId  VARCHAR (90)  NOT NULL     ,
PActivityId  VARCHAR (100)     ,
PProcessId  VARCHAR (100)     ,
PProcessName  VARCHAR (254)     ,
PProcessFactoryName  VARCHAR (200)     ,
PProcessFactoryVersion  VARCHAR (20)     ,
PActivityDefinitionId  VARCHAR (90)     ,
PActivityDefinitionName  VARCHAR (90)     ,
PProcessDefinitionId  VARCHAR (90)     ,
PProcessDefinitionName  VARCHAR (90)     ,
PPackageId  VARCHAR (90)     ,
CreatedTime  BIGINT    ,
CreatedTimeTZO  BIGINT    ,
StartedTime  BIGINT    ,
StartedTimeTZO  BIGINT    ,
SuspendedTime  BIGINT    ,
SuspendedTimeTZO  BIGINT    ,
ResumedTime  BIGINT    ,
ResumedTimeTZO  BIGINT    ,
ClosedTime  BIGINT    ,
ClosedTimeTZO  BIGINT    ,
CreatedByUsername  VARCHAR (100)     ,
StartedByUsername  VARCHAR (100)     ,
SuspendedByUsername  VARCHAR (100)     ,
ResumedByUsername  VARCHAR (100)     ,
ClosedByUsername  VARCHAR (100)     ,
LastState  VARCHAR (100)     ,
LastStateTime  BIGINT    ,
LastStateTimeTZO  BIGINT    ,
ProcessDuration  BIGINT    ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKProcessHistoryDetails
(
ProcessId  VARCHAR (100)  NOT NULL     ,
ProcessHistoryInfo  DECIMAL (19,0)  NOT NULL    ,
TheType  INTEGER NOT NULL     ,
RecordedTime  BIGINT NOT NULL     ,
RecordedTimeTZO  BIGINT NOT NULL     ,
TheUsername  VARCHAR (100)  NOT NULL     ,
VariableDefinitionId  VARCHAR (100)     ,
VariableType  INTEGER    ,
VariableValue  BLOB    ,
VariableValueXML  LONG VARCHAR    ,
VariableValueVCHAR  VARCHAR (3000)     ,
VariableValueDBL  DOUBLE    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  TIMESTAMP    ,
VariableValueBOOL  SMALLINT    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityHistoryInfo
(
ProcessId  VARCHAR (100)  NOT NULL     ,
ProcessName  VARCHAR (254)     ,
ProcessFactoryName  VARCHAR (200)  NOT NULL     ,
ProcessFactoryVersion  VARCHAR (20)  NOT NULL     ,
ProcessDefinitionId  VARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  VARCHAR (90)     ,
PackageId  VARCHAR (90)  NOT NULL     ,
ActivityId  VARCHAR (100)  NOT NULL     ,
ActivityName  VARCHAR (254)     ,
ActivityDefinitionId  VARCHAR (90)  NOT NULL     ,
ActivityDefinitionName  VARCHAR (90)     ,
ActivityDefinitionType  INTEGER    ,
CreatedTime  BIGINT NOT NULL     ,
CreatedTimeTZO  BIGINT    ,
StartedTime  BIGINT    ,
StartedTimeTZO  BIGINT    ,
SuspendedTime  BIGINT    ,
SuspendedTimeTZO  BIGINT    ,
ResumedTime  BIGINT    ,
ResumedTimeTZO  BIGINT    ,
AcceptedTime  BIGINT    ,
AcceptedTimeTZO  BIGINT    ,
RejectedTime  BIGINT    ,
RejectedTimeTZO  BIGINT    ,
ClosedTime  BIGINT    ,
ClosedTimeTZO  BIGINT    ,
CreatedByUsername  VARCHAR (100)     ,
StartedByUsername  VARCHAR (100)     ,
SuspendedByUsername  VARCHAR (100)     ,
ResumedByUsername  VARCHAR (100)     ,
AcceptedByUsername  VARCHAR (100)     ,
RejectedByUsername  VARCHAR (100)     ,
ClosedByUsername  VARCHAR (100)     ,
CurrentUsername  VARCHAR (100)     ,
LastState  VARCHAR (100)     ,
LastStateTime  BIGINT    ,
LastStateTimeTZO  BIGINT    ,
ActivityDuration  BIGINT    ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityHistoryDetails
(
ActivityId  VARCHAR (100)  NOT NULL     ,
ActivityHistoryInfo  DECIMAL (19,0)  NOT NULL    ,
TheType  INTEGER NOT NULL     ,
RecordedTime  BIGINT NOT NULL     ,
RecordedTimeTZO  BIGINT NOT NULL     ,
TheUsername  VARCHAR (100)  NOT NULL     ,
ReassignFrom  VARCHAR (100)     ,
ReassignTo  VARCHAR (100)     ,
VariableDefinitionId  VARCHAR (100)     ,
VariableType  INTEGER    ,
VariableValue  BLOB    ,
VariableValueXML  LONG VARCHAR    ,
VariableValueVCHAR  VARCHAR (3000)     ,
VariableValueDBL  DOUBLE    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  TIMESTAMP    ,
VariableValueBOOL  SMALLINT    ,
OrdNo  INTEGER NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



