Create table SHKProcessStateEventAudits
(
KeyValue  NVARCHAR (30)  NOT NULL     ,
Name  NVARCHAR (50)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKActivityStateEventAudits
(
KeyValue  NVARCHAR (30)  NOT NULL     ,
Name  NVARCHAR (50)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKCreateProcessEventAudits
(
RecordedTime  BIGINT NOT NULL     ,
RecordedTimeTZO  BIGINT NOT NULL     ,
TheUsername  NVARCHAR (100)  NOT NULL     ,
TheType  DECIMAL (19,0)  NOT NULL    ,
ProcessId  NVARCHAR (100)  NOT NULL     ,
ProcessName  NVARCHAR (254)     ,
ProcessFactoryName  NVARCHAR (200)  NOT NULL     ,
ProcessFactoryVersion  NVARCHAR (20)  NOT NULL     ,
ProcessDefinitionId  NVARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  NVARCHAR (90)     ,
PackageId  NVARCHAR (90)  NOT NULL     ,
PActivityId  NVARCHAR (100)     ,
PProcessId  NVARCHAR (100)     ,
PProcessName  NVARCHAR (254)     ,
PProcessFactoryName  NVARCHAR (200)     ,
PProcessFactoryVersion  NVARCHAR (20)     ,
PActivityDefinitionId  NVARCHAR (90)     ,
PActivityDefinitionName  NVARCHAR (90)     ,
PProcessDefinitionId  NVARCHAR (90)     ,
PProcessDefinitionName  NVARCHAR (90)     ,
PPackageId  NVARCHAR (90)     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKStateEventAudits
(
RecordedTime  BIGINT NOT NULL     ,
RecordedTimeTZO  BIGINT NOT NULL     ,
TheUsername  NVARCHAR (100)  NOT NULL     ,
TheType  DECIMAL (19,0)  NOT NULL    ,
ActivityId  NVARCHAR (100)     ,
ActivityName  NVARCHAR (254)     ,
ProcessId  NVARCHAR (100)  NOT NULL     ,
ProcessName  NVARCHAR (254)     ,
ProcessFactoryName  NVARCHAR (200)  NOT NULL     ,
ProcessFactoryVersion  NVARCHAR (20)  NOT NULL     ,
ActivityDefinitionId  NVARCHAR (90)     ,
ActivityDefinitionName  NVARCHAR (90)     ,
ActivityDefinitionType  INT    ,
ProcessDefinitionId  NVARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  NVARCHAR (90)     ,
PackageId  NVARCHAR (90)  NOT NULL     ,
OldProcessState  DECIMAL (19,0)     ,
NewProcessState  DECIMAL (19,0)     ,
OldActivityState  DECIMAL (19,0)     ,
NewActivityState  DECIMAL (19,0)     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKDataEventAudits
(
RecordedTime  BIGINT NOT NULL     ,
RecordedTimeTZO  BIGINT NOT NULL     ,
TheUsername  NVARCHAR (100)  NOT NULL     ,
TheType  DECIMAL (19,0)  NOT NULL    ,
ActivityId  NVARCHAR (100)     ,
ActivityName  NVARCHAR (254)     ,
ProcessId  NVARCHAR (100)  NOT NULL     ,
ProcessName  NVARCHAR (254)     ,
ProcessFactoryName  NVARCHAR (200)  NOT NULL     ,
ProcessFactoryVersion  NVARCHAR (20)  NOT NULL     ,
ActivityDefinitionId  NVARCHAR (90)     ,
ActivityDefinitionName  NVARCHAR (90)     ,
ActivityDefinitionType  INT    ,
ProcessDefinitionId  NVARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  NVARCHAR (90)     ,
PackageId  NVARCHAR (90)  NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKAssignmentEventAudits
(
RecordedTime  BIGINT NOT NULL     ,
RecordedTimeTZO  BIGINT NOT NULL     ,
TheUsername  NVARCHAR (100)  NOT NULL     ,
TheType  DECIMAL (19,0)  NOT NULL    ,
ActivityId  NVARCHAR (100)  NOT NULL     ,
ActivityName  NVARCHAR (254)     ,
ProcessId  NVARCHAR (100)  NOT NULL     ,
ProcessName  NVARCHAR (254)     ,
ProcessFactoryName  NVARCHAR (200)  NOT NULL     ,
ProcessFactoryVersion  NVARCHAR (20)  NOT NULL     ,
ActivityDefinitionId  NVARCHAR (90)  NOT NULL     ,
ActivityDefinitionName  NVARCHAR (90)     ,
ActivityDefinitionType  INT NOT NULL     ,
ProcessDefinitionId  NVARCHAR (90)  NOT NULL     ,
ProcessDefinitionName  NVARCHAR (90)     ,
PackageId  NVARCHAR (90)  NOT NULL     ,
OldResourceUsername  NVARCHAR (100)     ,
OldResourceName  NVARCHAR (100)     ,
NewResourceUsername  NVARCHAR (100)  NOT NULL     ,
NewResourceName  NVARCHAR (100)     ,
IsAccepted  TINYINT NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKOldEventAuditData
(
DataEventAudit  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  NVARCHAR (100)  NOT NULL     ,
VariableType  INT NOT NULL     ,
VariableValue  IMAGE    ,
VariableValueXML  XML     ,
VariableValueVCHAR  NVARCHAR (4000)     ,
VariableValueDBL  FLOAT    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  TINYINT    ,
OrdNo  INT NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKOldEventAuditDataWOB
(
DataEventAudit  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  NVARCHAR (100)  NOT NULL     ,
VariableType  INT NOT NULL     ,
VariableValueXML  XML    ,
VariableValueVCHAR  NVARCHAR (4000)     ,
VariableValueDBL  FLOAT    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  TINYINT    ,
OrdNo  INT NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKOldEventAuditDataBLOBs
(
OldEventAuditDataWOB  DECIMAL (19,0)  NOT NULL    ,
VariableValue  IMAGE    ,
OrdNo  INT NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKNewEventAuditData
(
DataEventAudit  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  NVARCHAR (100)  NOT NULL     ,
VariableType  INT NOT NULL     ,
VariableValue  IMAGE    ,
VariableValueXML  XML    ,
VariableValueVCHAR  NVARCHAR (4000)     ,
VariableValueDBL  FLOAT    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  TINYINT    ,
OrdNo  INT NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKNewEventAuditDataWOB
(
DataEventAudit  DECIMAL (19,0)  NOT NULL    ,
VariableDefinitionId  NVARCHAR (100)  NOT NULL     ,
VariableType  INT NOT NULL     ,
VariableValueXML  XML    ,
VariableValueVCHAR  NVARCHAR (4000)     ,
VariableValueDBL  FLOAT    ,
VariableValueLONG  BIGINT    ,
VariableValueDATE  DATETIME    ,
VariableValueBOOL  TINYINT    ,
OrdNo  INT NOT NULL     ,
CNT  DECIMAL (19,0)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKNewEventAuditDataBLOBs
(
NewEventAuditDataWOB  DECIMAL (19,0)  NOT NULL    ,
VariableValue  IMAGE    ,
OrdNo  INT NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



Create table SHKEventTypes
(
KeyValue  NVARCHAR (30)  NOT NULL     ,
Name  NVARCHAR (50)  NOT NULL     ,
oid  DECIMAL (19,0)  NOT NULL     ,
version  INTEGER NOT NULL     
);



